## mosquitto 0.9.1.726

=== CMakeLists.txt ===
# This is a cmake script.
# It is only intended for building libmosquitto and the clients and can be
# used to generate Visual Studio projects, allowing them to be compiled
# natively on Windows.

project(mosquitto)

cmake_minimum_required(VERSION 2.6)

set (VERSION 0.9)

if (WIN32)
	execute_process(COMMAND echo "%DATE% %TIME%" OUTPUT_VARIABLE TIMESTAMP
			OUTPUT_STRIP_TRAILING_WHITESPACE)
else (WIN32)
	execute_process(COMMAND date "+%F %T%z" OUTPUT_VARIABLE TIMESTAMP
			OUTPUT_STRIP_TRAILING_WHITESPACE)
endif (WIN32)

add_definitions (-DVERSION=\"${VERSION}\" -DTIMESTAMP=\"${TIMESTAMP}\")

if (WIN32)
    set (BINDEST .)
    set (LIBDEST .)
    set (SHAREDEST .)
else (WIN32)
    set (BINDEST bin)
    set (LIBDEST lib${LIB_SUFFIX})
    set (SHAREDEST share/mosquitto)
endif (WIN32)

# ========================================
# Check for required compatibility headers
# ========================================
include (CheckIncludeFile)

check_include_file(stdbool.h HAVE_STDBOOL_H)
if (NOT HAVE_STDBOOL_H)
	set (STDBOOL_H_PATH ${mosquitto_SOURCE_DIR}/compat/stdbool)
endif (NOT HAVE_STDBOOL_H)

check_include_file(stdint.h HAVE_STDINT_H)
if (NOT HAVE_STDINT_H)
	set (STDINT_H_PATH ${mosquitto_SOURCE_DIR}/compat/stdint)
endif (NOT HAVE_STDINT_H)

# ========================================
# Include projects
# ========================================

add_subdirectory(lib)
add_subdirectory(client)
add_subdirectory(src)

=== Makefile ===
include config.mk

DIRS=lib client src man
DISTDIRS=man

.PHONY : all mosquitto clean reallyclean install uninstall dist sign copy

all : mosquitto

mosquitto :
	for d in ${DIRS}; do $(MAKE) -C $${d}; done

clean :
	for d in ${DIRS}; do $(MAKE) -C $${d} clean; done

reallyclean : 
	for d in ${DIRS}; do $(MAKE) -C $${d} reallyclean; done
	-rm -f *.orig

install : mosquitto
	@for d in ${DIRS}; do $(MAKE) -C $${d} install; done
	$(INSTALL) -d ${DESTDIR}/etc/mosquitto
	$(INSTALL) -m 644 mosquitto.conf ${DESTDIR}/etc/mosquitto/mosquitto.conf
#	$(INSTALL) shlibs.maemo ${DESTDIR}/../shlibs

uninstall :
	@for d in ${DIRS}; do $(MAKE) -C $${d} uninstall; done

dist : reallyclean
	@for d in ${DISTDIRS}; do $(MAKE) -C $${d} dist; done
	
	mkdir -p dist/mosquitto-${VERSION}
	cp -r client lib logo man misc security service src ChangeLog.txt CMakeLists.txt COPYING Makefile compiling.txt config.h config.mk readme.txt mosquitto.conf dist/mosquitto-${VERSION}/
	cd dist; tar -zcf mosquitto-${VERSION}.tar.gz mosquitto-${VERSION}/
	for m in libmosquitto.3 mosquitto.8 mosquitto.conf.5 mosquitto_pub.1 mosquitto_sub.1 mqtt.7; \
		do \
		hfile=$$(echo $${m} | sed -e 's/\./-/g'); \
		man2html man/$${m} > dist/$${hfile}.html; \
		sed -i 's#http://localhost/cgi-bin/man/man2html?8+mosquitto#mosquitto-8.html#' dist/$${hfile}.html; \
		sed -i 's#http://localhost/cgi-bin/man/man2html?5+mosquitto.conf#mosquitto-conf-5.html#' dist/$${hfile}.html; \
		sed -i 's#http://localhost/cgi-bin/man/man2html?1+mosquitto_pub#mosquitto_pub-1.html#' dist/$${hfile}.html; \
		sed -i 's#http://localhost/cgi-bin/man/man2html?1+mosquitto_sub#mosquitto_sub-1.html#' dist/$${hfile}.html; \
		sed -i 's#http://localhost/cgi-bin/man/man2html?7+mqtt#mqtt-7.html#' dist/$${hfile}.html; \
		sed -i 's#http://localhost/cgi-bin/man/man2html?5+hosts_access#http://www.linuxmanpages.com/man5/hosts_access.5.php#' dist/$${hfile}.html; \
		sed -i 's#http://localhost/cgi-bin/man/man2html#http://mosquitto.org/#' dist/$${hfile}.html; \
		sed -i '1,2d' dist/$${hfile}.html; \
	done


sign : dist
	cd dist; gpg --detach-sign -a mosquitto-${VERSION}.tar.gz

copy : sign
	cd dist; scp mosquitto-${VERSION}.tar.gz mosquitto-${VERSION}.tar.gz.asc mosquitto:mosquitto.org/files/source/
	cd dist; scp *.html mosquitto:mosquitto.org/man/
	scp ChangeLog.txt mosquitto:mosquitto.org/

=== client/Makefile ===
CC=cc
CFLAGS=-I../lib -Wall -ggdb
LDFLAGS=-L../lib ../lib/libmosquitto.so.0
INSTALL=install
#prefix=/usr/local
prefix=/opt/maemo/usr

.PHONY: all install uninstall clean

all : mosquitto_pub mosquitto_sub

mosquitto_pub : pub_client.o
	${CC} $^ -o $@ ${LDFLAGS}

mosquitto_sub : sub_client.o
	${CC} $^ -o $@ ${LDFLAGS}

install : all
	$(INSTALL) -d ${DESTDIR}$(prefix)/bin
	$(INSTALL) -m 755 -s mosquitto_pub ${DESTDIR}${prefix}/bin/mosquitto_pub
	$(INSTALL) -m 755 -s mosquitto_sub ${DESTDIR}${prefix}/bin/mosquitto_sub

uninstall :
	-rm -f ${DESTDIR}${prefix}/bin/mosquitto_pub
	-rm -f ${DESTDIR}${prefix}/bin/mosquitto_sub

clean : 
	-rm -f *.o mosquitto_pub mosquitto_sub

## mosquitto 0.9.1.729

=== src/Makefile ===
include ../config.mk

CFLAGS_FINAL=${CFLAGS} -DVERSION="\"${VERSION}\"" -DTIMESTAMP="\"${TIMESTAMP}\"" -DWITH_BROKER -DWITH_BRIDGE

.PHONY: all install uninstall clean reallyclean

all : mosquitto

mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_client.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o subs.o util.o util_mosq.o sqlite3.o
	${CC} $^ -o $@ ${LDFLAGS}

mosquitto.o : mosquitto.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

bridge.o : bridge.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@
	
conf.o : conf.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@
	
context.o : context.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

database.o : database.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

logging.o : logging.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

memory_mosq.o : ../lib/memory_mosq.c ../lib/memory_mosq.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

net.o : net.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

net_mosq.o : ../lib/net_mosq.c ../lib/net_mosq.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@
	
persist.o : persist.c mqtt3.h sqlite3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@
	
raw_send.o : raw_send.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

raw_send_client.o : raw_send_client.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

raw_send_server.o : raw_send_server.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

read_handle.o : read_handle.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

read_handle_client.o : read_handle_client.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

read_handle_server.o : read_handle_server.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

subs.o : subs.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

util.o : util.c mqtt3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

util_mosq.o : ../lib/util_mosq.c ../lib/util_mosq.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

sqlite3.o : sqlite3.c sqlite3.h
	${CC} $(CFLAGS_FINAL) -c $< -o $@

install :
	$(INSTALL) -d ${DESTDIR}$(prefix)/bin
	$(INSTALL) -m 755 -s mosquitto ${DESTDIR}${prefix}/bin/mosquitto

uninstall :
	-rm -f ${DESTDIR}${prefix}/bin/mosquitto

clean : 
	-rm -f *.o mosquitto

reallyclean : clean
	-rm -rf *.orig *.db

## mosquitto 0.9.2.750

=== lib/CMakeLists.txt ===
add_subdirectory(cpp)

include_directories(${mosquitto_SOURCE_DIR} ${mosquitto_SOURCE_DIR}/lib
			${STDBOOL_H_PATH} ${STDINT_H_PATH})
link_directories(${mosquitto_SOURCE_DIR}/lib)

add_library(libmosquitto SHARED
	logging_mosq.c logging_mosq.h
	memory_mosq.c memory_mosq.h
	messages_mosq.c messages_mosq.h
	mosquitto.c mosquitto.h
	mqtt3_protocol.h
	net_mosq.c net_mosq.h
	read_handle.c read_handle.h
	read_handle_client.c
	send_client_mosq.c
	send_mosq.c send_mosq.h
	util_mosq.c util_mosq.h)

if (WIN32)
	target_link_libraries(libmosquitto ws2_32)
endif (WIN32)

set_target_properties(libmosquitto PROPERTIES
	OUTPUT_NAME mosquitto
	VERSION ${VERSION}
	SOVERSION 0
)

install(TARGETS libmosquitto RUNTIME DESTINATION ${BINDEST} LIBRARY DESTINATION ${LIBDEST})

if (UNIX)
	install(CODE "EXEC_PROGRAM(/sbin/ldconfig)")
endif (UNIX)

## mosquitto 0.9.2.752

=== Makefile ===
--- 
+++ 
@@ -21,7 +21,10 @@
 	@for d in ${DIRS}; do $(MAKE) -C $${d} install; done
 	$(INSTALL) -d ${DESTDIR}/etc/mosquitto
 	$(INSTALL) -m 644 mosquitto.conf ${DESTDIR}/etc/mosquitto/mosquitto.conf
-#	$(INSTALL) shlibs.maemo ${DESTDIR}/../shlibs
+	$(INSTALL) -d ${DESTDIR}/usr/bin/
+	ln -sf ${prefix}/bin/mosquitto ${DESTDIR}/usr/bin/mosquitto
+	ln -sf ${prefix}/bin/mosquitto_pub ${DESTDIR}/usr/bin/mosquitto_pub
+	ln -sf ${prefix}/bin/mosquitto_sub ${DESTDIR}/usr/bin/mosquitto_sub
 
 uninstall :
 	@for d in ${DIRS}; do $(MAKE) -C $${d} uninstall; done

## mosquitto 0.9.3.755

=== CMakeLists.txt ===
--- 
+++ 
@@ -7,7 +7,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION 0.9)
+set (VERSION 0.9.3)
 
 if (WIN32)
 	execute_process(COMMAND echo "%DATE% %TIME%" OUTPUT_VARIABLE TIMESTAMP
@@ -21,11 +21,15 @@
 
 if (WIN32)
     set (BINDEST .)
+	set (CONFDEST .)
     set (LIBDEST .)
+	set (MANDEST man)
     set (SHAREDEST .)
 else (WIN32)
     set (BINDEST bin)
+	set (CONFDEST etc)
     set (LIBDEST lib${LIB_SUFFIX})
+	set (MANDEST share/man)
     set (SHAREDEST share/mosquitto)
 endif (WIN32)
 
@@ -51,3 +55,10 @@
 add_subdirectory(lib)
 add_subdirectory(client)
 add_subdirectory(src)
+add_subdirectory(man)
+
+# ========================================
+# Install config file
+# ========================================
+
+install(FILES mosquitto.conf DESTINATION ${CONFDEST})

## mosquitto 0.10

=== CMakeLists.txt ===
# This is a cmake script.
# It is intended to be the default means of building mosquitto, but isn't
# quite ready for all cases yet.

project(mosquitto)

cmake_minimum_required(VERSION 2.6)

set (VERSION 0.10)

if (WIN32)
	execute_process(COMMAND echo "%DATE% %TIME%" OUTPUT_VARIABLE TIMESTAMP
			OUTPUT_STRIP_TRAILING_WHITESPACE)
else (WIN32)
	execute_process(COMMAND date "+%F %T%z" OUTPUT_VARIABLE TIMESTAMP
			OUTPUT_STRIP_TRAILING_WHITESPACE)
endif (WIN32)

add_definitions (-DCMAKE -DVERSION=\"${VERSION}\" -DTIMESTAMP=\"${TIMESTAMP}\")

if (WIN32)
	set (BINDIR .)
	set (SBINDIR .)
	set (SYSCONFDIR .)
	set (LIBDIR .)
	set (INCLUDEDIR include)
	set (DATAROOTDIR share)
	set (MANDIR man)
    set (SHAREDEST .)
else (WIN32)
	set (BINDIR bin)
	set (SBINDIR sbin)
	set (SYSCONFDIR etc/mosquitto)
	set (LIBDIR lib${LIB_SUFFIX})
	set (INCLUDEDIR include)
	set (DATAROOTDIR share)
	set (MANDIR ${DATAROOTDIR}/man)
	set (SHAREDIR ${DATAROOTDIR}/mosquitto)
endif (WIN32)

# ========================================
# Include projects
# ========================================

add_subdirectory(lib)
add_subdirectory(client)
add_subdirectory(src)
add_subdirectory(man)

# ========================================
# Install config file
# ========================================

install(FILES mosquitto.conf aclfile.example pwfile.example DESTINATION ${SYSCONFDIR})

=== Makefile ===
--- 
+++ 
@@ -21,10 +21,8 @@
 	@for d in ${DIRS}; do $(MAKE) -C $${d} install; done
 	$(INSTALL) -d ${DESTDIR}/etc/mosquitto
 	$(INSTALL) -m 644 mosquitto.conf ${DESTDIR}/etc/mosquitto/mosquitto.conf
-	$(INSTALL) -d ${DESTDIR}/usr/bin/
-	ln -sf ${prefix}/bin/mosquitto ${DESTDIR}/usr/bin/mosquitto
-	ln -sf ${prefix}/bin/mosquitto_pub ${DESTDIR}/usr/bin/mosquitto_pub
-	ln -sf ${prefix}/bin/mosquitto_sub ${DESTDIR}/usr/bin/mosquitto_sub
+	$(INSTALL) -m 644 aclfile.example ${DESTDIR}/etc/mosquitto/aclfile.example
+	$(INSTALL) -m 644 pwfile.example ${DESTDIR}/etc/mosquitto/pwfile.example
 
 uninstall :
 	@for d in ${DIRS}; do $(MAKE) -C $${d} uninstall; done
@@ -33,7 +31,7 @@
 	@for d in ${DISTDIRS}; do $(MAKE) -C $${d} dist; done
 	
 	mkdir -p dist/mosquitto-${VERSION}
-	cp -r client lib logo man misc security service src ChangeLog.txt CMakeLists.txt COPYING Makefile compiling.txt config.h config.mk readme.txt mosquitto.conf dist/mosquitto-${VERSION}/
+	cp -r client lib logo man misc security service src ChangeLog.txt CMakeLists.txt COPYING Makefile compiling.txt config.h config.mk readme.txt mosquitto.conf aclfile.example pwfile.example dist/mosquitto-${VERSION}/
 	cd dist; tar -zcf mosquitto-${VERSION}.tar.gz mosquitto-${VERSION}/
 	for m in libmosquitto.3 mosquitto.8 mosquitto.conf.5 mosquitto_pub.1 mosquitto_sub.1 mqtt.7; \
 		do \

=== src/Makefile ===
--- 
+++ 
@@ -1,12 +1,12 @@
 include ../config.mk
 
-CFLAGS_FINAL=${CFLAGS} -DVERSION="\"${VERSION}\"" -DTIMESTAMP="\"${TIMESTAMP}\"" -DWITH_BROKER -DWITH_BRIDGE
+CFLAGS_FINAL=${CFLAGS} -DVERSION="\"${VERSION}\"" -DTIMESTAMP="\"${TIMESTAMP}\"" -DWITH_BROKER
 
 .PHONY: all install uninstall clean reallyclean
 
 all : mosquitto
 
-mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_client.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o subs.o util.o util_mosq.o sqlite3.o
+mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_client.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o security.o subs.o util.o util_mosq.o
 	${CC} $^ -o $@ ${LDFLAGS}
 
 mosquitto.o : mosquitto.c mqtt3.h
@@ -36,7 +36,7 @@
 net_mosq.o : ../lib/net_mosq.c ../lib/net_mosq.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 	
-persist.o : persist.c mqtt3.h sqlite3.h
+persist.o : persist.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 	
 raw_send.o : raw_send.c mqtt3.h
@@ -57,6 +57,9 @@
 read_handle_server.o : read_handle_server.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
+security.o : security.c mqtt3.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
 subs.o : subs.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
@@ -66,15 +69,12 @@
 util_mosq.o : ../lib/util_mosq.c ../lib/util_mosq.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
-sqlite3.o : sqlite3.c sqlite3.h
-	${CC} $(CFLAGS_FINAL) -c $< -o $@
-
 install :
-	$(INSTALL) -d ${DESTDIR}$(prefix)/bin
-	$(INSTALL) -m 755 -s mosquitto ${DESTDIR}${prefix}/bin/mosquitto
+	$(INSTALL) -d ${DESTDIR}$(prefix)/sbin
+	$(INSTALL) -s mosquitto ${DESTDIR}${prefix}/sbin/mosquitto
 
 uninstall :
-	-rm -f ${DESTDIR}${prefix}/bin/mosquitto
+	-rm -f ${DESTDIR}${prefix}/sbin/mosquitto
 
 clean : 
 	-rm -f *.o mosquitto

=== debian/changelog ===
mosquitto (0.10-1) unstable; urgency=low

  * Initial release. (Closes: #605319)

 -- Roger A. Light <roger@atchoo.org>  Sun, 1 May 2011 20:12:51 +0100

=== debian/control ===
Source: mosquitto
Section: net
Priority: optional
Maintainer: Roger A. Light <roger@atchoo.org>
Build-Depends: debhelper (>= 7), libwrap0-dev, python-setuptools, python-support, python (>= 2.5)
Standards-Version: 3.9.1
Homepage: http://mosquitto.org/
Vcs-Hg: http://bitbucket.org/oojah/mosquitto-packaging
Vcs-Browser: http://bitbucket.org/oojah/mosquitto-packaging/src

Package: mosquitto
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, adduser (>= 3.10), lsb-base (>=3.2-13)
Description: MQTT version 3.1 compatible message broker
 This is a message broker that supports version 3.1 of the MQ Telemetry
 Transport protocol.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: libmosquitto0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: MQTT version 3.1 client library
 This is a C library for implementing MQTT version 3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: libmosquitto0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libmosquitto0 (= ${binary:Version})
Description: MQTT version 3.1 client library, development files
 This is the header and man page for the libmosquitto0 C library, which is a
 library for implementing MQTT version 3.1 clients. This package is needed to do
 development with libmosquitto0.

Package: libmosquittopp0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmosquitto0 (= ${binary:Version})
Description: MQTT version 3.1 client C++ library
 This is a C++ library for implementing MQTT version 3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: libmosquittopp0-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libmosquittopp0 (= ${binary:Version})
Description: MQTT version 3.1 client C++ library, development files
 This is the header and man page for the libmosquittopp0 C++ library, which is
 a library for implementing MQTT version 3.1 clients. This package is needed to
 do development with libmosquittopp0.

Package: mosquitto-clients
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libmosquitto0 (= ${binary:Version})
Description: Mosquitto command line MQTT clients
 This is two MQTT version 3.1 command line clients. mosquitto_pub can be used
 to publish messages to a broker and mosquitto_sub can be used to subscribe to
 a topic to receive messages.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

Package: python-mosquitto
Section: python
Architecture: any
Depends: ${python:Depends}, ${misc:Depends}, python (>= 2.5), libmosquitto0 (= ${binary:Version})
Description: MQTT version 3.1 client library, python bindings
 This is a Python module for implementing MQTT version 3.1 clients.
 .
 MQTT provides a method of carrying out messaging using a publish/subscribe
 model. It is lightweight, both in terms of bandwidth usage and ease of
 implementation. This makes it particularly useful at the edge of the network
 where a sensor or other simple device may be implemented using an arduino for
 example.

## mosquitto 0.11.2.795

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION 0.10)
+set (VERSION 0.11.2)
 
 if (WIN32)
 	execute_process(COMMAND echo "%DATE% %TIME%" OUTPUT_VARIABLE TIMESTAMP
@@ -27,6 +27,7 @@
 	set (DATAROOTDIR share)
 	set (MANDIR man)
     set (SHAREDEST .)
+    add_definitions("-D_CRT_SECURE_NO_WARNINGS")
 else (WIN32)
 	set (BINDIR bin)
 	set (SBINDIR sbin)

## mosquitto 0.11.3

=== lib/Makefile ===
include ../config.mk

.PHONY : clean install

all : libmosquitto.so.0
	make -C cpp
	make -C python

install : all
	$(INSTALL) -d ${DESTDIR}$(prefix)/lib${LIB_SUFFIX}/
	$(INSTALL) -s libmosquitto.so.0 ${DESTDIR}${prefix}/lib${LIB_SUFFIX}/libmosquitto.so.0
	ln -sf libmosquitto.so.0 ${DESTDIR}${prefix}/lib${LIB_SUFFIX}/libmosquitto.so
	$(INSTALL) -d ${DESTDIR}${prefix}/include/
	$(INSTALL) mosquitto.h ${DESTDIR}${prefix}/include/mosquitto.h
	make -C cpp install
	make -C python install

clean :
	-rm -f *.o libmosquitto.so.0 libmosquitto.so
	make -C cpp clean
	make -C python clean

libmosquitto.so.0 : mosquitto.o logging_mosq.o memory_mosq.o messages_mosq.o net_mosq.o read_handle.o read_handle_client.o send_mosq.o send_base_mosq.o send_client_mosq.o util_mosq.o
	$(CC) -shared -Wl,--as-needed -Wl,--version-script=linker.version -Wl,-soname,libmosquitto.so.0 $^ -o $@ 

mosquitto.o : mosquitto.c mosquitto.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

logging_mosq.o : logging_mosq.c logging_mosq.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

messages_mosq.o : messages_mosq.c messages_mosq.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

memory_mosq.o : memory_mosq.c memory_mosq.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

net_mosq.o : net_mosq.c net_mosq.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

read_handle.o : read_handle.c read_handle.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

read_handle_client.o : read_handle_client.c read_handle.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

send_mosq.o : send_mosq.c send_mosq.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

send_base_mosq.o : send_base_mosq.c send_mosq.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

send_client_mosq.o : send_client_mosq.c send_mosq.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

util_mosq.o : util_mosq.c util_mosq.h
	$(CC) $(CFLAGS) -fPIC -c $< -o $@

=== debian/changelog ===
mosquitto (0.11.3-1) unstable; urgency=low

  * New upstream release: http://mosquitto.org/2011/07/version-0-11-3-released/
  * Fix init script start action to create pidfile so stop works correctly.
    (thanks to Mark Hindess, closes: #632589)
  * Fix section for client libraries in debian/control.
  * Remove disable-cmake.patch, this is handled in debian/rules now.

 -- Roger A. Light <roger@atchoo.org>  Wed, 6 July 2011 15:07:04 +0100

## mosquitto 0.12

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 
 cmake_minimum_required(VERSION 2.6)
 
-set (VERSION 0.11.2)
+set (VERSION 0.12)
 
 if (WIN32)
 	execute_process(COMMAND echo "%DATE% %TIME%" OUTPUT_VARIABLE TIMESTAMP

=== Makefile ===
--- 
+++ 
@@ -31,13 +31,14 @@
 	@for d in ${DISTDIRS}; do $(MAKE) -C $${d} dist; done
 	
 	mkdir -p dist/mosquitto-${VERSION}
-	cp -r client lib logo man misc security service src ChangeLog.txt CMakeLists.txt COPYING Makefile compiling.txt config.h config.mk readme.txt mosquitto.conf aclfile.example pwfile.example dist/mosquitto-${VERSION}/
+	cp -r client lib logo man misc security service src ChangeLog.txt CMakeLists.txt COPYING Makefile compiling.txt config.h config.mk external_security_checks.txt readme.txt mosquitto.conf aclfile.example pwfile.example dist/mosquitto-${VERSION}/
 	cd dist; tar -zcf mosquitto-${VERSION}.tar.gz mosquitto-${VERSION}/
 	for m in libmosquitto.3 mosquitto.8 mosquitto.conf.5 mosquitto_pub.1 mosquitto_sub.1 mqtt.7; \
 		do \
 		hfile=$$(echo $${m} | sed -e 's/\./-/g'); \
 		man2html man/$${m} > dist/$${hfile}.html; \
 		sed -i 's#http://localhost/cgi-bin/man/man2html?8+mosquitto#mosquitto-8.html#' dist/$${hfile}.html; \
+		sed -i 's#http://localhost/cgi-bin/man/man2html?3+libmosquitto#libmosquitto-3.html#' dist/$${hfile}.html; \
 		sed -i 's#http://localhost/cgi-bin/man/man2html?5+mosquitto.conf#mosquitto-conf-5.html#' dist/$${hfile}.html; \
 		sed -i 's#http://localhost/cgi-bin/man/man2html?1+mosquitto_pub#mosquitto_pub-1.html#' dist/$${hfile}.html; \
 		sed -i 's#http://localhost/cgi-bin/man/man2html?1+mosquitto_sub#mosquitto_sub-1.html#' dist/$${hfile}.html; \

=== client/CMakeLists.txt ===
include_directories(${mosquitto_SOURCE_DIR}/lib
			${STDBOOL_H_PATH} ${STDINT_H_PATH})
link_directories(${mosquitto_BINARY_DIR}/lib)

add_executable(mosquitto_pub pub_client.c)
add_executable(mosquitto_sub sub_client.c)

target_link_libraries(mosquitto_pub libmosquitto)
target_link_libraries(mosquitto_sub libmosquitto)

set_target_properties(mosquitto_pub PROPERTIES
	VERSION ${VERSION})
set_target_properties(mosquitto_sub PROPERTIES
	VERSION ${VERSION})
install(TARGETS mosquitto_pub RUNTIME DESTINATION ${BINDIR} LIBRARY DESTINATION ${LIBDIR})
install(TARGETS mosquitto_sub RUNTIME DESTINATION ${BINDIR} LIBRARY DESTINATION ${LIBDIR})

=== lib/CMakeLists.txt ===
add_subdirectory(cpp)

include_directories(${mosquitto_SOURCE_DIR} ${mosquitto_SOURCE_DIR}/lib
			${STDBOOL_H_PATH} ${STDINT_H_PATH}
			${OPENSSL_INCLUDE_DIR})
link_directories(${mosquitto_SOURCE_DIR}/lib)

add_library(libmosquitto SHARED
	logging_mosq.c logging_mosq.h
	memory_mosq.c memory_mosq.h
	messages_mosq.c messages_mosq.h
	mosquitto.c mosquitto.h
	mqtt3_protocol.h
	net_mosq.c net_mosq.h
	read_handle.c read_handle.h
	read_handle_client.c
	send_base_mosq.c
	send_client_mosq.c
	send_mosq.c send_mosq.h
	util_mosq.c util_mosq.h)

if (WIN32)
	target_link_libraries(libmosquitto ws2_32 ${OPENSSL_LIBRARIES})
else (WIN32)
	target_link_libraries(libmosquitto ${OPENSSL_LIBRARIES})
endif (WIN32)

set_target_properties(libmosquitto PROPERTIES
	OUTPUT_NAME mosquitto
	VERSION ${VERSION}
	SOVERSION 0
)

install(TARGETS libmosquitto RUNTIME DESTINATION ${BINDIR} LIBRARY DESTINATION ${LIBDIR})
install(FILES mosquitto.h DESTINATION ${INCLUDEDIR})

if (UNIX)
	install(CODE "EXEC_PROGRAM(/sbin/ldconfig)")
endif (UNIX)

=== lib/Makefile ===
--- 
+++ 
@@ -21,7 +21,7 @@
 	make -C python clean
 
 libmosquitto.so.0 : mosquitto.o logging_mosq.o memory_mosq.o messages_mosq.o net_mosq.o read_handle.o read_handle_client.o send_mosq.o send_base_mosq.o send_client_mosq.o util_mosq.o
-	$(CC) -shared -Wl,--as-needed -Wl,--version-script=linker.version -Wl,-soname,libmosquitto.so.0 $^ -o $@ 
+	$(CC) -shared -Wl,--as-needed -Wl,--version-script=linker.version -Wl,-soname,libmosquitto.so.0 $^ -o $@ ${LIBS}
 
 mosquitto.o : mosquitto.c mosquitto.h
 	$(CC) $(CFLAGS) -fPIC -c $< -o $@

=== man/Makefile ===
include ../config.mk

.PHONY : all clean install uninstall dist 

DB2M:=$(shell which docbook2man.pl 2> /dev/null)
ifeq ($(strip $(DB2M)),)
DOCBOOK2MAN=docbook2man
else
DOCBOOK2MAN=docbook2man.pl
endif

all :  mosquitto.8 mosquitto.conf.5 mosquitto_pub.1 mosquitto_sub.1 mqtt.7 libmosquitto.3

clean :

reallyclean : clean
	-rm -f *.orig

dist : mosquitto.8 mosquitto.conf.5 mosquitto_pub.1 mosquitto_sub.1 mqtt.7 libmosquitto.3

install :
	$(INSTALL) -d ${DESTDIR}$(mandir)/man8
	$(INSTALL) -m 644 mosquitto.8 ${DESTDIR}${mandir}/man8/mosquitto.8
	$(INSTALL) -d ${DESTDIR}$(mandir)/man5
	$(INSTALL) -m 644 mosquitto.conf.5 ${DESTDIR}${mandir}/man5/mosquitto.conf.5
	$(INSTALL) -d ${DESTDIR}$(mandir)/man1
	$(INSTALL) -m 644 mosquitto_pub.1 ${DESTDIR}${mandir}/man1/mosquitto_pub.1
	$(INSTALL) -m 644 mosquitto_sub.1 ${DESTDIR}${mandir}/man1/mosquitto_sub.1
	$(INSTALL) -d ${DESTDIR}$(mandir)/man7
	$(INSTALL) -m 644 mqtt.7 ${DESTDIR}${mandir}/man7/mqtt.7
	$(INSTALL) -d ${DESTDIR}$(mandir)/man3
	$(INSTALL) -m 644 libmosquitto.3 ${DESTDIR}${mandir}/man3/libmosquitto.3

uninstall :
	-rm -f ${DESTDIR}${mandir}/man8/mosquitto.8
	-rm -f ${DESTDIR}${mandir}/man5/mosquitto.conf.5
	-rm -f ${DESTDIR}${mandir}/man1/mosquitto_pub.1
	-rm -f ${DESTDIR}${mandir}/man1/mosquitto_sub.1
	-rm -f ${DESTDIR}${mandir}/man7/mqtt.7
	-rm -f ${DESTDIR}${mandir}/man3/libmosquitto.3

mosquitto.8 : mosquitto.8.xml
	$(DOCBOOK2MAN) mosquitto.8.xml

mosquitto.conf.5 : mosquitto.conf.5.xml
	$(DOCBOOK2MAN) mosquitto.conf.5.xml

mosquitto_pub.1 : mosquitto_pub.1.xml
	$(DOCBOOK2MAN) $^

mosquitto_sub.1 : mosquitto_sub.1.xml
	$(DOCBOOK2MAN) $^

mqtt.7 : mqtt.7.xml
	$(DOCBOOK2MAN) $^

libmosquitto.3 : libmosquitto.3.xml
	$(DOCBOOK2MAN) $^

potgen :
	 xml2po -o po/mosquitto/mosquitto.8.pot mosquitto.8.xml
	 xml2po -o po/mosquitto.conf/mosquitto.conf.5.pot mosquitto.conf.5.xml
	 xml2po -o po/mosquitto_pub/mosquitto_pub.1.pot mosquitto_pub.1.xml
	 xml2po -o po/mosquitto_sub/mosquitto_sub.1.pot mosquitto_sub.1.xml
	 xml2po -o po/mqtt/mqtt.7.pot mqtt.7.xml
	 xml2po -o po/libmosquitto/libmosquitto.3.pot libmosquitto.3.xml

# To merge new translations do:
# /usr/bin/xml2po -p de.po chapter1.xml > chapter1.de.xml

=== src/CMakeLists.txt ===
include_directories(${mosquitto_SOURCE_DIR} ${mosquitto_SOURCE_DIR}/src
		${mosquitto_SOURCE_DIR}/lib ${OPENSSL_INCLUDE_DIR}
		${STDBOOL_H_PATH} ${STDINT_H_PATH})

set (MOSQ_SRCS
	conf.c
	context.c
	database.c
	logging.c
	loop.c
	../lib/memory_mosq.c ../lib/memory_mosq.h
	mosquitto.c
	mqtt3.h
	net.c
	../lib/net_mosq.c ../lib/net_mosq.h
	persist.c
	raw_send.c raw_send_server.c
	read_handle.c read_handle_client.c read_handle_server.c
	subs.c
	security.c security_external.c
	../lib/send_base_mosq.c
	../lib/send_client_mosq.c ../lib/send_mosq.h
	util.c
	../lib/util_mosq.c ../lib/util_mosq.h)

set (MOSQ_LIBS ${OPENSSL_LIBRARIES})

option(INC_BRIDGE_SUPPORT
	"Include bridge support for connecting to other brokers?" ON)
if (${INC_BRIDGE_SUPPORT} STREQUAL ON)
	set (MOSQ_SRCS ${MOSQ_SRCS} bridge.c)
	add_definitions("-DWITH_BRIDGE")
endif (${INC_BRIDGE_SUPPORT} STREQUAL ON)


option(USE_LIBWRAP
	"Include tcp-wrappers support?" OFF)

if (${USE_LIBWRAP} STREQUAL ON)
	set (MOSQ_LIBS ${MOSQ_LIBS} wrap)
	add_definitions("-DWITH_WRAP")
endif (${USE_LIBWRAP} STREQUAL ON)

option(INC_DB_UPGRADE
	"Include database upgrade support? (recommended)" ON)

option(INC_MEMTRACK
	"Include memory tracking support?" ON)
if (${INC_MEMTRACK} STREQUAL ON)
	add_definitions("-DWITH_MEMORY_TRACKING")
endif (${INC_MEMTRACK} STREQUAL ON)

option(WITH_PERSISTENCE
	"Include persistence support?" ON)
if (${WITH_PERSISTENCE} STREQUAL ON)
	add_definitions("-DWITH_PERSISTENCE")
endif (${WITH_PERSISTENCE} STREQUAL ON)


option(WITH_EXTERNAL_SECURITY_CHECKS
	"Use external security checks (needs additional code)?" OFF)
if (${WITH_EXTERNAL_SECURITY_CHECKS} STREQUAL ON)
	add_definitions("-DWITH_EXTERNAL_SECURITY_CHECKS")
endif (${WITH_EXTERNAL_SECURITY_CHECKS} STREQUAL ON)

add_definitions (-DWITH_BROKER)

add_executable(mosquitto WIN32 ${MOSQ_SRCS})

if (NOT WIN32)
	target_link_libraries(mosquitto ${MOSQ_LIBS})
else (NOT WIN32)
	target_link_libraries(mosquitto ws2_32 ${MOSQ_LIBS})
endif (NOT WIN32)
set_target_properties(mosquitto PROPERTIES
	VERSION ${VERSION})

install(TARGETS mosquitto RUNTIME DESTINATION ${SBINDIR} LIBRARY DESTINATION ${LIBDIR})

if (UNIX)
	install(CODE "EXEC_PROGRAM(/sbin/ldconfig)")
endif (UNIX)

=== src/Makefile ===
--- 
+++ 
@@ -6,8 +6,8 @@
 
 all : mosquitto
 
-mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_client.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o security.o subs.o util.o util_mosq.o
-	${CC} $^ -o $@ ${LDFLAGS}
+mosquitto : mosquitto.o bridge.o conf.o context.o database.o logging.o loop.o memory_mosq.o persist.o net.o net_mosq.o raw_send.o raw_send_server.o read_handle.o read_handle_client.o read_handle_server.o security.o security_external.o send_base_mosq.o send_client_mosq.o subs.o util.o util_mosq.o
+	${CC} $^ -o $@ ${LDFLAGS} ${LIBS}
 
 mosquitto.o : mosquitto.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
@@ -27,6 +27,9 @@
 logging.o : logging.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
+loop.o : loop.c mqtt3.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
 memory_mosq.o : ../lib/memory_mosq.c ../lib/memory_mosq.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
@@ -42,9 +45,6 @@
 raw_send.o : raw_send.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
-raw_send_client.o : raw_send_client.c mqtt3.h
-	${CC} $(CFLAGS_FINAL) -c $< -o $@
-
 raw_send_server.o : raw_send_server.c mqtt3.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
@@ -58,6 +58,15 @@
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
 security.o : security.c mqtt3.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
+security_external.o : security_external.c mqtt3.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
+send_base_mosq.o : ../lib/send_base_mosq.c ../lib/send_mosq.h
+	${CC} $(CFLAGS_FINAL) -c $< -o $@
+
+send_client_mosq.o : ../lib/send_client_mosq.c ../lib/send_mosq.h
 	${CC} $(CFLAGS_FINAL) -c $< -o $@
 
 subs.o : subs.c mqtt3.h

=== lib/cpp/Makefile ===
include ../../config.mk

.PHONY : clean install

all : libmosquittopp.so.0

install : all
	$(INSTALL) -d ${DESTDIR}$(prefix)/lib${LIB_SUFFIX}/
	$(INSTALL) -s libmosquittopp.so.0 ${DESTDIR}${prefix}/lib${LIB_SUFFIX}/libmosquittopp.so.0
	ln -sf libmosquittopp.so.0 ${DESTDIR}${prefix}/lib${LIB_SUFFIX}/libmosquittopp.so
	$(INSTALL) -d ${DESTDIR}${prefix}/include/
	$(INSTALL) mosquittopp.h ${DESTDIR}${prefix}/include/mosquittopp.h
	
clean :
	-rm -f *.o libmosquittopp.so.0

libmosquittopp.so.0 : mosquittopp.o
	$(CXX) -shared -Wl,--as-needed -Wl,-soname,libmosquittopp.so.0 $< -o $@ ../libmosquitto.so.0

mosquittopp.o : mosquittopp.cpp mosquittopp.h
	$(CXX) $(CFLAGS) -fPIC -c $< -o $@

=== debian/changelog ===
mosquitto (0.12-1) unstable; urgency=low

  * New upstream release: http://mosquitto.org/2011/07/version-0-12-released/

 -- Roger A. Light <roger@atchoo.org>  Mon, 25 Jul 2011 22:24:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: net
 Priority: optional
 Maintainer: Roger A. Light <roger@atchoo.org>
-Build-Depends: debhelper (>= 7), libwrap0-dev, python-setuptools, python-support, python (>= 2.5)
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 7.0.50~), libwrap0-dev, python-setuptools, python-support, python (>= 2.5)
+Standards-Version: 3.9.2
 Homepage: http://mosquitto.org/
 Vcs-Hg: http://bitbucket.org/oojah/mosquitto-packaging
 Vcs-Browser: http://bitbucket.org/oojah/mosquitto-packaging/src
@@ -22,6 +22,7 @@
  example.
 
 Package: libmosquitto0
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: MQTT version 3.1 client library
@@ -43,6 +44,7 @@
  development with libmosquitto0.
 
 Package: libmosquittopp0
+Section: libs
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, libmosquitto0 (= ${binary:Version})
 Description: MQTT version 3.1 client C++ library
